/*
*  LICENSE: 
*  Copyright (c) 2007 Freescale Semiconductor 
*   
*  Permission is hereby granted, free of charge, to any person  
*  obtaining a copy of this software and associated documentation  
*  files (the "Software"), to deal in the Software without  
*  restriction, including without limitation the rights to use,  
*  copy, modify, merge, publish, distribute, sublicense, and/or  
*  sell copies of the Software, and to permit persons to whom the  
*  Software is furnished to do so, subject to the following  
*
*  conditions:   
*  The above copyright notice and this permission notice  
*  shall be included in all copies or substantial portions  
*  of the Software. 
*   
*  THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,  
*  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES  
*  OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND  
*  NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT  
*  HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
*  WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,  
*  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER  
*  DEALINGS IN THE SOFTWARE. 
*
*
*/

/****************************************************************************** 
* 
* (C) 2007 Freescale Semiconductor 
* 
*  REVISION HISTORY 
* 
*  dd/mm/yy     Version     Description                   Author 
*  --------     -------     -----------                   ------ 
*
* 
******************************************************************************/
#include "common.h"
#include "uif.h"


#ifdef CMSIS
#include "start.h"
#endif
#include "smc.h"
#include "serial_flash.h"


int main (void)
{
  volatile char ch;  
  
#ifdef CMSIS  // If we are conforming to CMSIS, we need to call start here
  start();
#endif
  

  external_spi_test(); // for external flash testing     

  
  
  while(1)
  {

  
  }
  
}
/********************************************************************/
